Subject: Re: [PATCH 2/2] powerpc/64: poison __per_cpu_offset to catch use-before-init

From: Michael Ellerman <[email-masked]>
Date: Mon, 01 Aug 2022 22:02:03 +1000

Nicholas Piggin <[email-masked]> writes:
> If the boot CPU tries to access per-cpu data of other CPUs before
> per cpu areas are set up, it will unexpectedly use offset 0.
>
> Try to catch such accesses by poisoning the __per_cpu_offset array.

I wasn't sure about this.

On bare metal it's just an instant checkstop which is very user hostile.

I worry it's just going to cause unusual configurations/options to crash
for folks, like eg. booting with page_poison=1 did a while back.

Can we put it behind a debug option? Maybe CONFIG_DEBUG_VM ?

cheers